/**
 * Created by abdulazizalonizi on 7/25/17.
 */
import java.util.Scanner ;
public class Task3 {
    public static void main (String [] args)
    {
      Scanner kb = new Scanner (System.in);
       boolean flag = false  ;

      do {
         flag = false;
          System.out.println("enter a character") ;
          char letter = kb.next().charAt(0);
          int value = letter ;


          if ( (value >=65 & value <=90) | (value >=97 & value <=122)) // unicode value range for alphabetical letters
          {
              System.out.println("you enterd a character");

          }
          else {
              System.out.println("you didnt enter a character");
              flag = true;
          }


      }while(flag);












    }
}
